# Class StdioServerParameters

java.lang.Object
com.google.adk.tools.mcp.StdioServerParameters

public abstract class StdioServerParameters extends Object
Parameters for establishing a MCP stdio connection.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `StdioServerParameters.Builder`
  Builder for `StdioServerParameters`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StdioServerParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract @Nullable com.google.common.collect.ImmutableList<String>`
  `args()`
  Optional arguments for the command.
  `static StdioServerParameters.Builder`
  `builder()`
  Creates a new builder for `StdioServerParameters`.
  `abstract String`
  `command()`
  The command to execute for the stdio server.
  `abstract @Nullable com.google.common.collect.ImmutableMap<String,String>`
  `env()`
  Optional environment variables.
  `io.modelcontextprotocol.client.transport.ServerParameters`
  `toServerParameters()`
  Converts this to a `ServerParameters` instance.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StdioServerParameters

    public StdioServerParameters()

- ## Method Details

  - ### command

    public abstract String command()
    The command to execute for the stdio server.

  - ### args

    public abstract @Nullable com.google.common.collect.ImmutableList<String> args()
    Optional arguments for the command.

  - ### env

    public abstract @Nullable com.google.common.collect.ImmutableMap<String,String> env()
    Optional environment variables.

  - ### builder

    public static StdioServerParameters.Builder builder()
    Creates a new builder for `StdioServerParameters`.

  - ### toServerParameters

    public io.modelcontextprotocol.client.transport.ServerParameters toServerParameters()
    Converts this to a `ServerParameters` instance.